MWProStructuresInternal::Block Struct Reference

Internal: the data block. More...

## Public Types

enum | Type { UNKNOWN, GRAPHIC, TEXT, NOTE }

## Public Member Functions

| Block ()
| the constructor More...
void | fillFramePropertyList (WPXPropertyList &extra) const
bool | isGraphic () const
bool | isText () const
bool | isTable () const
bool | hasSameBorders () const
bool | hasBorders () const
MWAWPosition | getPosition () const
MWAWPosition::YPos | getRelativeYPos () const
bool | contains (Box2f const &box) const
bool | intersects (Box2f const &box) const

## Public Attributes

int | m_type
| the type More...
Type | m_contentType
| the type More...
int | m_fileBlock
| the file block id More...
int | m_id
| the block id More...
bool | m_attachment
| true if this is an attachment More...
int | m_page
| the page (if absolute) More...
Box2f | m_box
| the bdbox More...
double | m_borderWList [4]
| the borders width More...
MWAWBorder | m_borderCellList [4]
| the cell borders More...
float | m_baseline
| the baseline ( in point 0=bottom aligned) More...
MWAWColor | m_surfaceColor
| the background color More...
MWAWBorder | m_lineBorder
| the line border More...
int | m_textPos
| filled for pagebreak pos More...
bool | m_isHeader
| filled for header/footer More...
int | m_row
| number of row, filled for table More...
int | m_col
| number of columns, filled for table More...
int | m_textboxCellType
| filled for textbox : 0: unknown/textbox, 1: cell, 2: textbox(opened) More...
std::string | m_extra
| extra data More...
bool | m_send
| true if we have send the data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Block const &bl)
| operator<< More...

## Detailed Description

Internal: the data block.

## Member Enumeration Documentation

enum MWProStructuresInternal::Block::Type

Enumerator
UNKNOWN |
GRAPHIC |
TEXT |
NOTE |

## Constructor & Destructor Documentation

MWProStructuresInternal::Block::Block | ( |  | ) |

inline

the constructor

## Member Function Documentation

bool MWProStructuresInternal::Block::contains | ( | Box2f const & | box | ) | const

inline

void MWProStructuresInternal::Block::fillFramePropertyList | ( | WPXPropertyList & | extra | ) | const

inline

MWAWPosition MWProStructuresInternal::Block::getPosition | ( |  | ) | const

inline

MWAWPosition::YPos MWProStructuresInternal::Block::getRelativeYPos | ( |  | ) | const

inline

Referenced by getPosition().

bool MWProStructuresInternal::Block::hasBorders | ( |  | ) | const

inline

Referenced by fillFramePropertyList().

bool MWProStructuresInternal::Block::hasSameBorders | ( |  | ) | const

inline

Referenced by fillFramePropertyList().

bool MWProStructuresInternal::Block::intersects | ( | Box2f const & | box | ) | const

inline

bool MWProStructuresInternal::Block::isGraphic | ( |  | ) | const

inline

bool MWProStructuresInternal::Block::isTable | ( |  | ) | const

inline

bool MWProStructuresInternal::Block::isText | ( |  | ) | const

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Block const & | bl
| ) |  |

friend

operator<<

## Member Data Documentation

bool MWProStructuresInternal::Block::m_attachment

true if this is an attachment

Referenced by getPosition().

float MWProStructuresInternal::Block::m_baseline

the baseline ( in point 0=bottom aligned)

Referenced by getRelativeYPos().

MWAWBorder MWProStructuresInternal::Block::m_borderCellList[4]

the cell borders

Referenced by Block(), and MWProStructuresInternal::Cell::Cell().

double MWProStructuresInternal::Block::m_borderWList[4]

the borders width

Referenced by Block(), fillFramePropertyList(), hasBorders(), and hasSameBorders().

Box2f MWProStructuresInternal::Block::m_box

the bdbox

Referenced by MWProStructuresInternal::Cell::Cell(), contains(), getPosition(), getRelativeYPos(), and intersects().

int MWProStructuresInternal::Block::m_col

number of columns, filled for table

Type MWProStructuresInternal::Block::m_contentType

the type

Referenced by getPosition(), isGraphic(), and isText().

std::string MWProStructuresInternal::Block::m_extra

extra data

int MWProStructuresInternal::Block::m_fileBlock

the file block id

Referenced by isGraphic(), isTable(), and isText().

int MWProStructuresInternal::Block::m_id

the block id

Referenced by MWProStructuresInternal::Cell::Cell().

bool MWProStructuresInternal::Block::m_isHeader

filled for header/footer

MWAWBorder MWProStructuresInternal::Block::m_lineBorder

the line border

Referenced by fillFramePropertyList(), and hasBorders().

int MWProStructuresInternal::Block::m_page

the page (if absolute)

Referenced by getPosition().

int MWProStructuresInternal::Block::m_row

number of row, filled for table

bool MWProStructuresInternal::Block::m_send

true if we have send the data

MWAWColor MWProStructuresInternal::Block::m_surfaceColor

the background color

Referenced by MWProStructuresInternal::Cell::Cell(), and fillFramePropertyList().

int MWProStructuresInternal::Block::m_textboxCellType

filled for textbox : 0: unknown/textbox, 1: cell, 2: textbox(opened)

int MWProStructuresInternal::Block::m_textPos

filled for pagebreak pos

int MWProStructuresInternal::Block::m_type

the type

Referenced by isTable().

The documentation for this struct was generated from the following file:

- MWProStructures.cxx